Package javax.help

# Interface HelpAction

All Known Implementing Classes:
  `AbstractHelpAction`, `BackAction`, `FavoritesAction`, `ForwardAction`, `HomeAction`, `PrintAction`, `PrintSetupAction`, `ReloadAction`, `SeparatorAction`

public interface HelpAction

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener listener)`
Adds a `PropertyChange` listener.
`Object`
`getControl()`
Getter for property control.
`Object`
`getValue(String key)`
Gets one of this object's properties using the associated key.
`boolean`
`isEnabled()`
Getter for property enabled.
`void`
`putValue(String key, Object value)`
Sets one of this object's properties using the associated key.
`void`
`removePropertyChangeListener(PropertyChangeListener listener)`
Removes a `PropertyChange` listener.
`void`
`setEnabled(boolean enabled)`
Setter for property enabled.

## Method Details

### isEnabled

boolean isEnabled()
Getter for property enabled.

Returns:
  Value of property enabled.

### setEnabled

void setEnabled(boolean enabled)
Setter for property enabled.

Parameters:
  `enabled` - New value of property enabled.

### getControl

Object getControl()
Getter for property control.

Returns:
  Value of property control.

### getValue

Object getValue(String key)
Gets one of this object's properties using the associated key.

See Also:
  - `putValue(java.lang.String, java.lang.Object)`

### putValue

void putValue(String key, Object value)
Sets one of this object's properties using the associated key. If the value has changed, a `PropertyChangeEvent` is sent to listeners.

Parameters:
  `key` - a `String` containing the key
  `value` - an `Object` value

### addPropertyChangeListener

void addPropertyChangeListener(PropertyChangeListener listener)
Adds a `PropertyChange` listener. Containers and attached components use these methods to register interest in this `Action` object. When its enabled state or other property changes, the registered listeners are informed of the change.

Parameters:
  `listener` - a `PropertyChangeListener` object

### removePropertyChangeListener

void removePropertyChangeListener(PropertyChangeListener listener)
Removes a `PropertyChange` listener.

Parameters:
  `listener` - a `PropertyChangeListener` object
See Also:
  - `addPropertyChangeListener(java.beans.PropertyChangeListener)`